> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Manually trigger a refresh

> Manually trigger a refresh of a deployed semantic model's materialized view.



## OpenAPI

````yaml post /api/semantic-models/{model_id}/trigger-refresh
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/semantic-models/{model_id}/trigger-refresh:
    post:
      tags:
        - Semantic models
        - Deployment
      summary: Manually trigger a refresh
      description: >-
        Manually trigger a refresh of a deployed semantic model's materialized
        view.
      operationId: >-
        trigger_model_refresh_api_semantic_models__model_id__trigger_refresh_post
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Model Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerRefreshResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    TriggerRefreshResponse:
      properties:
        model_id:
          type: string
          format: uuid
          title: Model Id
        triggered:
          type: boolean
          title: Triggered
        message:
          type: string
          title: Message
        via_airflow:
          type: boolean
          title: Via Airflow
          default: false
      type: object
      required:
        - model_id
        - triggered
        - message
      title: TriggerRefreshResponse
      description: Response from triggering a refresh.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````